## gtkaml 0.4.2

=== examples/SimpleViewer2/Makefile ===
all: SimpleViewer2.gtkaml
	../../src/gtkamlc $(VALAFLAGS) --implicitsdir ../../data --pkg gtk+-2.0 $^

clean:
	rm SimpleViewer2

=== examples/blitzen/Makefile ===
APPNAME=test
APPSDIR=/var/lib/blitzen/apps/
RESOURCEDIR=/var/lib/blitzen/resources
JSHELPER=$(RESOURCEDIR)/blitzenio.js
DEPLOYDIR=$(APPSDIR)/$(APPNAME)
SOURCES := test.vala main.vala 
OBJS := $(patsubst %.vala, %.vala.o, $(SOURCES))
.PHONY: all clean deploy install

all: gtkaml ${APPNAME}-app.so

gtkaml:
	gtkamlc -V --pkg=stk test.gtkon 
	rm -f test.vala.o ${APPNAME}-app.so

${APPNAME}-app.so: $(OBJS)
	$(CC) $(OBJS) $(CFLAGS) -shared -fPIC -Wl,-soname,$@ -o $@

$(OBJS):
	valac -g $(SOURCES) -c --pkg=stk --Xcc=-fPIC

deploy: ${APPNAME}-app.so
	if test ! -d "$(DEPLOYDIR)"; then mkdir "$(DEPLOYDIR)"; fi; 
	cp -f $< $(DEPLOYDIR) 
	ln -sf $(JSHELPER) $(DEPLOYDIR)

install: deploy

clean:
	rm -f *.o *.so test.gtkaml test.vala

=== examples/clutter/Makefile ===
all: full-example

full-example:full-example.gtkon
	../../src/gtkamlc --pkg gtk+-2.0 --pkg clutter-gtk-0.10 --pkg clutter-1.0 --pkg mx-1.0 --implicitsdir ../../data --save-temps $^

clean:
	rm -f full-example

=== examples/gtkaml/Makefile ===
all: gtk-hello search-dialog sync-sample treeview-liststore-sample

gtk-hello:gtk-hello.gtkaml
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $@.gtkaml

search-dialog:search-dialog.gtkaml
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $@.gtkaml

sync-sample:sync-sample.gtkaml
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $@.gtkaml

treeview-liststore-sample:treeview-liststore-sample.gtkaml
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $@.gtkaml

clean:
	rm -f gtk-hello search-dialog sync-sample treeview-liststore-sample

=== examples/gtkon/Makefile ===
all: gtk-hello sync-sample search-dialog treeview-liststore-sample

gtk-hello:gtk-hello.gtkon
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $^

search-dialog:search-dialog.gtkon
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $^

sync-sample:sync-sample.gtkon
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $^

treeview-liststore-sample:treeview-liststore-sample.gtkon
	../../src/gtkamlc --pkg gtk+-2.0 --implicitsdir ../../data --save-temps $^

clean:
	rm -f gtk-hello search-dialog sync-sample treeview-liststore-sample

=== debian/changelog ===
gtkaml (0.4.2-2) unstable; urgency=low

  * Also add examples from the source distribution to the binary
    package, and fix their makefiles to work with an installed
    package.

 -- David Paleino <dapal@debian.org>  Tue, 15 Mar 2011 11:06:35 +0100

gtkaml (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #618444)

 -- David Paleino <dapal@debian.org>  Tue, 15 Mar 2011 10:37:47 +0100

=== debian/control ===
Source: gtkaml
Section: devel
Priority: extra
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , autotools-dev
 , valac-0.10
 , libvala-0.10-dev
 , libglib2.0-dev
 , libgtk2.0-dev
 , libxml2-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/gtkaml/
Vcs-Git: git://git.debian.org/collab-maint/gtkaml.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gtkaml.git;a=summary

Package: gtkaml
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: XML application markup language for GTK+ and Vala
 gtkaml is a XML language that extends the Vala.Parser and aimed at creating
 valid GTK+ UI classes.
 It features a compact XML syntax for describing the way Gtk widgets are laid
 out in custom widgets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	# quite useless...
	dh_installchangelogs -XChangeLog

override_dh_compress:
	dh_compress -Xexamples

## gtkaml 0.5.91

=== debian/changelog ===
gtkaml (0.5.91-1ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 17 Jan 2014 03:22:54 -0500

gtkaml (0.5.91-1ubuntu1) quantal; urgency=low

  * debian/patches/ld-as-needed.patch:
    Fix the order in gtkamlc_LDADD to fix linking with ld --as-needed. 

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 May 2012 16:22:36 +0200

gtkaml (0.5.91-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.2
  * Bump dependency on vala to 0.14
  * Restrict dependency on glib to >= 2.12.0
  * Patches removed
  * Examples have been removed from upstream tarball

 -- David Paleino <dapal@debian.org>  Wed, 04 Jan 2012 12:14:21 +0100

=== debian/control ===
Source: gtkaml
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~)
 , dh-autoreconf
 , valac-0.14
 , libvala-0.14-dev
 , libglib2.0-dev (>= 2.12.0)
 , libgtk2.0-dev
 , libxml2-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/gtkaml/
Vcs-Git: git://git.debian.org/collab-maint/gtkaml.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gtkaml.git;a=summary

Package: gtkaml
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: XML application markup language for GTK+ and Vala
 gtkaml is a XML language that extends the Vala.Parser and aimed at creating
 valid GTK+ UI classes.
 It features a compact XML syntax for describing the way Gtk widgets are laid
 out in custom widgets.

Package: gtkaml-dbg
Architecture: any
Section: debug
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , gtkaml (= ${binary:Version})
Description: XML application markup language for GTK+ and Vala - debug symbols
 gtkaml is a XML language that extends the Vala.Parser and aimed at creating
 valid GTK+ UI classes.
 It features a compact XML syntax for describing the way Gtk widgets are laid
 out in custom widgets.
 .
 This package contains the debugging symbols for gtkaml.

#Package: libgtkaml0
#Architecture: any
#Multi-Arch: same
#Depends:
# ${shlibs:Depends}
# , ${misc:Depends}
#Pre-Depends: ${misc:Pre-Depends}
#Description: XML application markup language for GTK+ and Vala - library
# gtkaml is a XML language that extends the Vala.Parser and aimed at creating
# valid GTK+ UI classes.
# It features a compact XML syntax for describing the way Gtk widgets are laid
# out in custom widgets.
# .
# This package contains the shared library.

#Package: libgtkaml0-dbg
#Architecture: any
#Multi-Arch: same
#Section: debug
#Depends:
# ${shlibs:Depends}
# , ${misc:Depends}
# , libgtkaml0 (= ${binary:Version})
#Pre-Depends: ${misc:Pre-Depends}
#Description: XML application markup language for GTK+ and Vala - debug symbols
# gtkaml is a XML language that extends the Vala.Parser and aimed at creating
# valid GTK+ UI classes.
# It features a compact XML syntax for describing the way Gtk widgets are laid
# out in custom widgets.
# .
# This package contains the debugging symbols for the shared library.

#Package: libgtkaml-dev
#Architecture: any
#Multi-Arch: foreign
#Section: libdevel
#Depends:
# ${shlibs:Depends}
# , ${misc:Depends}
# , libgtkaml0 (= ${binary:Version})
#Description: XML application markup language for GTK+ and Vala - headers
# gtkaml is a XML language that extends the Vala.Parser and aimed at creating
# valid GTK+ UI classes.
# It features a compact XML syntax for describing the way Gtk widgets are laid
# out in custom widgets.
# .
# This package contains the development headers.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,15 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autoreconf
+
+override_dh_install:
+	dh_install
+	rm -vrf $(CURDIR)/debian/gtkaml/usr/lib/libgtkaml.la \
+		$(CURDIR)/debian/gtkaml/usr/lib/libgtkaml.so \
+		$(CURDIR)/debian/gtkaml/usr/lib/libgtkaml.so.0
+	mv $(CURDIR)/debian/gtkaml/usr/lib/libgtkaml.so.* \
+		$(CURDIR)/debian/gtkaml/usr/lib/libgtkaml.so.0
 
 override_dh_installchangelogs:
 	# quite useless...
@@ -13,3 +21,6 @@
 
 override_dh_compress:
 	dh_compress -Xexamples
+
+override_dh_strip:
+	dh_strip --dbg-package gtkaml-dbg

=== debian/watch ===
version=3
http://code.google.com/p/gtkaml/downloads/list \
	http://gtkaml.googlecode.com/files/gtkaml-(\d+.*)\.tar\.bz2
